Subject: Re: [PATCH] mISDN: remove unneeded mISDN_class_release()

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 30 Mar 2023 08:01:07 +0200

On Wed, Mar 29, 2023 at 09:39:30PM +0200, Simon Horman wrote:
> On Wed, Mar 29, 2023 at 08:01:27AM +0200, Greg Kroah-Hartman wrote:
> > The mISDN_class_release() is not needed at all, as the class structure
> > is static, and it does not actually do anything either, so it is safe to
> > remove as struct class does not require a release callback.
> > 
> > Cc: Karsten Keil <[email-masked]>
> > Cc: [email-masked]
> > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > ---
> > Note: I would like to take this through the driver-core tree as I have
> > later struct class cleanups that depend on this change being made to the
> > tree if that's ok with the maintainer of this file.
> > 
> >  drivers/isdn/mISDN/core.c | 6 ------
> >  1 file changed, 6 deletions(-)
> 
> I assume this will hit the following in drivers/base/class.c:class_release():
> 
>         if (class->class_release)
>                 class->class_release(class);
>         else
> 		pr_debug("class '%s' does not have a release() function, "
> 		"be careful\n", class->name);
> 
> So I also assume that you are being careful :)

Yes, I am :)

I need to remove that debug line soon as I'm moving all struct class
instances to be static and in read-only memory, which would mean that no
release function is needed at all for them.  Give me a few hundred more
commits to get there...

thanks for the review!

greg k-h